Take the 2-minute tour ×
Android Enthusiasts Stack Exchange is a question and answer site for enthusiasts and power users of the Android operating system. It's 100% free, no registration required.

I'm doing a feasibility study into Android tablets for commercial applications. I have a product that requires a Bluetooth Low Energy connection.

I have a Nexus 7 tablet which is supposed to support BLE but I haven't found much information about it. Is there a way to check whether the tablet has BLE and if it's enabled or not?

share|improve this question
    
According to teardown reports and wikipedia Nexus 7 has a Broadcom chip (Broadcom BCM4330 paired with AzureWave AW-NH665)* which is BTLE capable. But I don't know is all needed SW layers there. Broadcom has also published a BT API as open source, but I don't know is that package included to Nexus. It's a bit of long shot, but could someone having the Nexus 7 check is the com.broadcom.bt.le.api -package included? I would be also very interested to hear.... –  user17318 Jul 23 '12 at 21:51
    
I bought a Google Nexus 7 last week with the hopes that the com.broadcom.bt.le shared library would be on it but was disappointed to find that the sample applications do not work on the Nexus 7 since it is missing the shared library. I have emailed the owner of the SDK and ASUS with no response. Then I emailed the support on google play and all he could tell me was information I already knew, that the Nexus 7 has a Broadcom BCM4330 chipset which on paper is Bluetooth 4.0 and is the same chipset used in the iPhone 4s and the new iPad and that it is Bluetooth 4.0 compatible. I didn't response si –  user18383 Aug 22 '12 at 2:05

3 Answers 3

up vote 7 down vote accepted

As of now, the checking for BLE support has to be done manually by studying specifications and searching on Google (as far as I know).

See this question on Stackoverflow: Bluetooth Smart (4.0) / GATT support in Android 4.0?

It states that Android does not support Bluetooth 4.0 (LE) out of the box up to Android-4.0 (maybe with Jelly Bean 4.1 onwards, the Nexus 7 tab suggests that). Manufacturers have to add their own API to allow access to BT LE (e.g. this app is limited to Motorola). That's why your mileage may vary with different phones up to 4.0. Casio's Bluetooth LE enabled watch is also an example of limited (official) compatibility (not even the iPhone 4S is mentioned, by the way).

My best guess is that with more devices having 4.1 the issue will solve by itself and you can find apps showing it.

Here are lists by manufacturers:

share|improve this answer
    
Thanks for the info, this should get me started on my research. –  digital Jul 19 '12 at 15:24
    
FYI The Nexus 7 has Broadcom's BCM4330 (same chipset as in iPhone 5), but the sample apps from Broadcom's BLE SDK won't install because the native library is not present. –  Barend Dec 14 '12 at 11:08
    
Android 4.2 has some news: Android 4.2 introduces a new Bluetooth stack optimized for use with Android devices. The new Bluetooth stack developed in collaboration between Google and Broadcom replaces the stack based on BlueZ and provides improved compatibility and reliability. Source –  ce4 Dec 14 '12 at 13:32
    
I have tried the broadcom sdk on my S3 mini (4.1.2) and the app is crashing on a "no method found": bluetoothDevice.getDeviceType... –  fvisticot Feb 21 '13 at 22:29

There is no Bluetooth LE support in all current Android APIs (at the time of writing that is API level 16, up to Android 4.1). Phone manufactures have to use the stacks of the Bluetooth chip manufactures. The only phone that has a build-in LE chip and actually makes use of it is the Motorola Razor. There have been reports that after the ICS update, Bluetooth LE pairing wont work any more.

So, no convenient way to query a device for LE support and make use of it, until there is Bluetooth LE support in the official Android API.

IIRC the Linux kernel has no (stable) Bluetooth LE API yet, too.

share|improve this answer

Finally with Android 4.3 there is BTLE support in the OS. For individual devices you need to wait for a 4.3 update to see if the support has been added. For now a Nexus 4 looks like the one device that should be good. (I have just ordered one to do BTLE development on.) Some devices that were sold as BTLE ready and are believed to have the necessary hardware don't look like they will really work. e.g. the original Nexus looks not to be getting the update according to Google.

share|improve this answer

protected by Community Nov 13 '12 at 21:29

Thank you for your interest in this question. Because it has attracted low-quality answers, posting an answer now requires 10 reputation on this site.

Would you like to answer one of these unanswered questions instead?

Not the answer you're looking for? Browse other questions tagged or ask your own question.